Skip to main content
GET
/
v1
/
repositories
/
{repository_id}
/
analysis
/
{commit_hash}
Get Code Analysis
curl --request GET \
  --url https://api.example.com/v1/repositories/{repository_id}/analysis/{commit_hash} \
  --header 'Authorization: Bearer <token>'
{
  "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "commit_hash": "<string>",
  "status": "pending",
  "repo_summary": "<string>",
  "experiments": [
    {
      "id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "entry_point": "<string>",
      "language": "<string>",
      "inputs": "<string>",
      "outputs": "<string>",
      "parameters": [
        {
          "name": "<string>",
          "value": "<string>",
          "category": "<string>",
          "cli_option": "<string>",
          "choices": [
            "<string>"
          ],
          "description": "<string>"
        }
      ]
    }
  ],
  "primary_ids": [
    "<string>"
  ],
  "env_vars": {},
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repository_id
string<uuid>
required
commit_hash
string
required

Response

Successful Response

解析状態・結果レスポンス(GET)

repository_id
string<uuid>
required
commit_hash
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
cancelled
repo_summary
string | null
experiments
AnalyzedExperiment · object[] | null
primary_ids
string[] | null
env_vars
Env Vars · object

環境変数の特定結果(valid, required_env_vars, missing_env_vars)

error
string | null